%bcond_with tests

Summary:        Wrappers to call pyproject.toml-based build backend hooks
Name:           python-pyproject-hooks
Version:        1.0.0
Release: 3%{?dist}

License:        MIT
URL:            https://pypi.org/project/pyproject_hooks/
Source0:         %{pypi_source pyproject_hooks}

BuildArch:      noarch
BuildRequires:  python3-devel


%description
This is a low-level library for calling build-backends in
pyproject.toml-based project. It provides the basic functionality
to help write tooling that generates distribution files from
Python projects.

%package -n     python3-pyproject-hooks
Summary:        %{summary}

%description -n python3-pyproject-hooks
This is a low-level library for calling build-backends in
pyproject.toml-based project. It provides the basic functionality
to help write tooling that generates distribution files from
Python projects.


%prep
%autosetup -p1 -n pyproject_hooks-%{version}
sed -i "/flake8/d" dev-requirements.txt


%generate_buildrequires
%pyproject_buildrequires %{?with_tests:dev-requirements.txt}


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files pyproject_hooks


%check
%if %{with tests}
%pytest
%endif


%files -n python3-pyproject-hooks -f %{pyproject_files}
%doc README.rst
%license LICENSE

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.0-3
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.0-2
- Rebuilt for loongarch release

* Tue Sep 26 2023 cunshunxia <cunshunxia@tencent.com> - 1.0.0-1
- initial build
